Bug 249088 - device-mapper-multipath has wrong path for mpath_prio_hds_modular
device-mapper-multipath has wrong path for mpath_prio_hds_modular
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
Corey Marthaler
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-20 16:14 EDT by Bryn M. Reeves
Modified: 2010-10-22 12:43 EDT (History)
13 users (show)

See Also:
Fixed In Version: RHBA-2008-0337
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:35:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix mpath_prio_hds_modular path (532 bytes, patch)
2007-07-20 16:14 EDT, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2007-07-20 16:14:44 EDT
Description of problem:
The compiled in default priority callout for the Hitachi HDS SANs is incorrectly
specified without the full path in libmultipath/hwtable.c:

        {
                .vendor        = "HITACHI",
                .product       = "DF.*",
                .getuid        = DEFAULT_GETUID,
                .getprio       = "mpath_prio_hds_modular %d",
                .features      = DEFAULT_FEATURES,
                .hwhandler     = DEFAULT_HWHANDLER,
                .selector      = DEFAULT_SELECTOR,
                .pgpolicy      = GROUP_BY_PRIO,
                .pgfailback    = -FAILBACK_IMMEDIATE,
                .rr_weight     = RR_WEIGHT_NONE,
                .no_path_retry = NO_PATH_RETRY_UNDEF,
                .minio         = DEFAULT_MINIO,
                .checker_name  = READSECTOR0,
        },

This leads to errors like:

error calling out mpath_prio_hds_modular 65:32
error calling out mpath_prio_hds_modular 66:80
error calling out mpath_prio_hds_modular 65:32

Version-Release number of selected component (if applicable):
multipath-tools-0.4.7.rhel5.5

How reproducible:
100%

Steps to Reproduce:
1. Enable multipath on a system attached to a Hitachi HDS SAN by commenting out
the blacklist {...} block in multipath.conf
2. Run multipath

  
Actual results:
Above errors

Expected results:
No errors, correctly determines path prio grouping & creates multipath maps

Additional info:
Easily worked around via multipath.conf device {...} blocks.
Comment 1 Bryn M. Reeves 2007-07-20 16:14:45 EDT
Created attachment 159687 [details]
fix mpath_prio_hds_modular path
Comment 3 Charlie Bennett 2007-10-08 13:39:43 EDT
I have this patch running on 100s of machines here at Hitachi and in the field.

It is good.

ccb
Comment 4 RHEL Product and Program Management 2007-10-15 23:53:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Ben Marzinski 2007-10-29 16:06:41 EDT
Patch applied. Thanks.
Comment 6 Jay Turner 2007-11-30 01:54:42 EST
QE ack for RHEL5.2.  Will lean on partners for validation.
Comment 9 John Poelstra 2008-03-20 23:52:29 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 13 errata-xmlrpc 2008-05-21 11:35:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0337.html

Note You need to log in before you can comment on or make changes to this bug.